%global         momorel 3

Name:           perl-Module-Build-Pluggable-CPANfile
Version:        0.05
Release:        %{momorel}m%{?dist}
Summary:        Include cpanfile
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Build-Pluggable-CPANfile/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZEBURO/Module-Build-Pluggable-CPANfile-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008005
BuildRequires:  perl-JSON >= 2.53
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Module-Build-Pluggable >= 0.05
BuildRequires:  perl-Module-CPANfile >= 0.9010
BuildRequires:  perl-parent
BuildRequires:  perl-Test-Requires
BuildRequires:  perl-Test-Simple >= 0.98
Requires:       perl-Module-Build-Pluggable >= 0.05
Requires:       perl-Module-CPANfile >= 0.9010
Requires:       perl-parent
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Module::Build::Pluggable::CPANfile is plugin for Module::Build::Pluggable
to include dependencies from cpanfile into meta files. This modules is
Module::Install::CPANfile for Module::Build

%prep
%setup -q -n Module-Build-Pluggable-CPANfile-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README.md
%{perl_vendorlib}/Module/Build/Pluggable/CPANfile.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-2m)
- rebuild against perl-5.18.2

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- update to 0.05

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-2m)
- rebuild against perl-5.18.1

* Thu May 30 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-1m)
- update to 0.04

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-2m)
- rebuild against perl-5.18.0

* Thu Apr  4 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-1m)
- update to 0.03

* Wed Mar 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
